diff --git a/books/tangle.lisp b/books/tangle.lisp
index ddbab92..b294557 100644
--- a/books/tangle.lisp
+++ b/books/tangle.lisp
@@ -441,13 +441,13 @@
 (defun makeHelpFiles ()
  (let ((AXIOM (si::getenv "AXIOM")) (BOOKS (si::getenv "BOOKS")) HELP PAT)
   (setq HELP (concatenate 'string AXIOM "/doc/spadhelp"))
-  (setq PAT1 ".help")
-  (setq PAT2 ".help>>")
-  (allchunks PAT1 (concatenate 'string BOOKS "/bookvol5.pamphlet") HELP nil)
-  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.2.pamphlet") HELP t)
-  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.3.pamphlet") HELP t)
-  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.4.pamphlet") HELP t)
-  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.5.pamphlet") HELP t)))
+  (setq PAT ".help")
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol5.pamphlet") HELP nil)
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.2.pamphlet") HELP nil)
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.3.pamphlet") HELP nil)
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.4.pamphlet") HELP nil)
+  (allchunks PAT
+   (concatenate 'string BOOKS "/bookvol10.5.pamphlet") HELP nil)))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;; 13 makeInputFiles
@@ -468,11 +468,12 @@
 (defun makeInputFiles ()
  (let ((SPD (si::getenv "SPD")) (BOOKS (si::getenv "BOOKS")) INPUT PAT)
   (setq INPUT (concatenate 'string SPD "/int/input"))
-  (setq PAT ".input>>")
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.2.pamphlet") INPUT t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.3.pamphlet") INPUT t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.4.pamphlet") INPUT t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.5.pamphlet") INPUT t)))
+  (setq PAT ".input")
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.2.pamphlet") INPUT nil)
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.3.pamphlet") INPUT nil)
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.4.pamphlet") INPUT nil)
+  (allchunks PAT
+   (concatenate 'string BOOKS "/bookvol10.5.pamphlet") INPUT nil)))
 
 
 
diff --git a/changelog b/changelog
index 96bd57c..6bc01a7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20111130 tpd src/axiom-website/patches.html 20111130.01.tpd.patch
+20111130 tpd src/algebra/Makefile fix .input file algebra extraction
+20111130 tpd books/tangle.lisp fix .input file algebra extraction
 20111129 tpd src/axiom-website/patches.html 20111129.01.tpd.patch
 20111129 tpd src/axiom-website/litprog.html literate program example update
 20111129 tpd src/axiom-website/documentation.html add Alexander quote
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 61a0c87..7dbba87 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17349,39 +17349,39 @@ Step 2 is an awk command line.
 
 <<findSpadFiles>>=
 
-grep -E 'begin{chunk}{category\ .*}' bookvol10.2.pamphlet | sort | uniq | awk -F: '{
+grep -E 'begin{chunk}{category\ .*}' ${BOOKS}/bookvol10.2.pamphlet | sort | uniq | awk -F: '{
   chunk=substr($1,15,length($1)-15);
   split(chunk,part," ");
   spadfile="${MID}/"part[2]".spad";
-  print spadfile": ${IN}/bookvol10.2.pamphlet";
-  print "	   @echo \x27\(tangle \"${IN}/bookvol10.2.pamphlet\" \""chunk"\" \""part[2]".spad\"\)\x27 | ${LISPTANGLE} ";
+  print spadfile": ${BOOKS}/bookvol10.2.pamphlet";
+  print "	   @echo \x27(tangle \"${BOOKS}/bookvol10.2.pamphlet\" \""chunk"\" \""part[2]".spad\")\x27 | ${LISPTANGLE} ";
   print "";
 }'
 
-grep -E 'begin{chunk}{domain\ .*}' bookvol10.3.pamphlet | sort | uniq | awk -F: '{
+grep -E 'begin{chunk}{domain\ .*}' ${BOOKS}/bookvol10.3.pamphlet | sort | uniq | awk -F: '{
   chunk=substr($1,15,length($1)-15);
   split(chunk,part," ");
   spadfile="${MID}/"part[2]".spad";
-  print spadfile": ${IN}/bookvol10.3.pamphlet";
-  print "	   @echo \x27\(tangle \"${IN}/bookvol10.3.pamphlet\" \""chunk"\" \""part[2]".spad\"\)\x27 | ${LISPTANGLE} ";
+  print spadfile": ${BOOKS}/bookvol10.3.pamphlet";
+  print "	   @echo \x27(tangle \"${BOOKS}/bookvol10.3.pamphlet\" \""chunk"\" \""part[2]".spad\")\x27 | ${LISPTANGLE} ";
   print "";
 }'
 
-grep -E 'begin{chunk}{package\ .*}' bookvol10.4.pamphlet | sort | uniq | awk -F: '{
+grep -E 'begin{chunk}{package\ .*}' ${BOOKS}/bookvol10.4.pamphlet | sort | uniq | awk -F: '{
   chunk=substr($1,15,length($1)-15);
   split(chunk,part," ");
   spadfile="${MID}/"part[2]".spad";
-  print spadfile": ${IN}/bookvol10.4.pamphlet";
-  print "	   @echo \x27\(tangle \"${IN}/bookvol10.4.pamphlet\" \""chunk"\" \""part[2]".spad\"\)\x27 | ${LISPTANGLE} ";
+  print spadfile": ${BOOKS}/bookvol10.4.pamphlet";
+  print "	   @echo \x27(tangle \"${BOOKS}/bookvol10.4.pamphlet\" \""chunk"\" \""part[2]".spad\")\x27 | ${LISPTANGLE} ";
   print "";
 }'
 
-grep -E 'begin{chunk}{package\ .*}' bookvol10.5.pamphlet | sort | uniq | awk -F: '{
+grep -E 'begin{chunk}{package\ .*}' ${BOOKS}/bookvol10.5.pamphlet | sort | uniq | awk -F: '{
   chunk=substr($1,15,length($1)-15);
   split(chunk,part," ");
   spadfile="${MID}/"part[2]".spad";
-  print spadfile": ${IN}/bookvol10.5.pamphlet";
-  print "	   @echo \x27\(tangle \"${IN}/bookvol10.5.pamphlet\" \""chunk"\" \""part[2]".spad\"\)\x27 | ${LISPTANGLE} ";
+  print spadfile": ${BOOKS}/bookvol10.5.pamphlet";
+  print "	   @echo \x27(tangle \"${BOOKS}/bookvol10.5.pamphlet\" \""chunk"\" \""part[2]".spad\")\x27 | ${LISPTANGLE} ";
   print "";
 }'
 
@@ -17439,23 +17439,23 @@ For each of the above output lines we run an ``grep'' command:
 
 <<findBootstrapFiles>>=
 
-grep 'begin{chunk}{.*BOOTSTRAP}' bookvol10.2.pamphlet | sort | uniq | \
+grep 'begin{chunk}{.*BOOTSTRAP}' ${BOOKS}/bookvol10.2.pamphlet | sort | uniq | \
 awk -F: '{
   chunk=substr($1,15,length($1)-15);
   split(chunk,part," ");
   lspfile="${MID}/"part[1];
-  print lspfile": ${IN}/bookvol10.2.pamphlet";
-  print "	  @echo \x27\(tangle \"${IN}/bookvol10.2.pamphlet\" \""chunk"\" \""lspfile"\"\)\x27 | ${LISPTANGLE} ";
+  print lspfile": ${BOOKS}/bookvol10.2.pamphlet";
+  print "	  @echo \x27(tangle \"${BOOKS}/bookvol10.2.pamphlet\" \""chunk"\" \""lspfile"\")\x27 | ${LISPTANGLE} ";
   print "";
 }'
 
-grep 'begin{chunk}{.*BOOTSTRAP}' bookvol10.3.pamphlet | sort | uniq | \
+grep 'begin{chunk}{.*BOOTSTRAP}' ${BOOKS}/bookvol10.3.pamphlet | sort | uniq | \
 awk -F: '{
   chunk=substr($1,15,length($1)-15);
   split(chunk,part," ");
   lspfile="${MID}/"part[1];
-  print lspfile": ${IN}/bookvol10.3.pamphlet";
-  print "	  @echo \x27\(tangle \"${IN}/bookvol10.3.pamphlet\" \""chunk"\" \""lspfile"\"\)\x27 | ${LISPTANGLE} ";
+  print lspfile": ${BOOKS}/bookvol10.3.pamphlet";
+  print "	  @echo \x27(tangle \"${BOOKS}/bookvol10.3.pamphlet\" \""chunk"\" \""lspfile"\")\x27 | ${LISPTANGLE} ";
   print "";
 }'
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0d10bda..bced459 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3698,5 +3698,7 @@ books/bookvolbib add additional references<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20111129.01.tpd.patch">20111129.01.tpd.patch</a>
 src/axiom-website/litprog.html literate program example<br/>
+<a href="patches/20111130.01.tpd.patch">20111130.01.tpd.patch</a>
+books/tangle.lisp fix .input file algebra extraction<br/>
  </body>
 </html>
